class PanelPicturesController < ApplicationController
  before_filter :authenticate_user!, :only => [:index, :show]
  before_filter :authenticate_admin!, :only => [:list, :browse]

  # GET /panel_pictures
  # GET /panel_pictures.json
  def index
    @panel_pictures = PanelPicture.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @panel_pictures }
    end
  end

  def list
    @panel_pictures = PanelPicture.all

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @panel_pictures }
    end
  end

end
