require "spec_helper"

describe SourcePicturesController do
  describe "routing" do

    it "routes to #index" do
      get("/source_pictures").should route_to("source_pictures#index")
    end

    it "routes to #new" do
      get("/source_pictures/new").should route_to("source_pictures#new")
    end

    it "routes to #show" do
      get("/source_pictures/1").should route_to("source_pictures#show", :id => "1")
    end

    it "routes to #edit" do
      get("/source_pictures/1/edit").should route_to("source_pictures#edit", :id => "1")
    end

    it "routes to #create" do
      post("/source_pictures").should route_to("source_pictures#create")
    end

    it "routes to #update" do
      put("/source_pictures/1").should route_to("source_pictures#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/source_pictures/1").should route_to("source_pictures#destroy", :id => "1")
    end

  end
end
